unit PropEditFilename;

interface
uses
  SysUtils, Classes, DsgnIntf, Dialogs, Forms;

type
  TPropEditFilename = class(TPropertyEditor)
    private
    public
      function  GetAttributes: TPropertyAttributes; override;
      procedure Edit;override;
      function  GetValue: String;override;
      procedure SetValue(const Value:String);override;
    end;

implementation

function  TPropEditFilename.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

procedure TPropEditFilename.Edit;
var
  d: TOpenDialog;
begin
  d := TOpenDialog.Create( nil );
  d.Filter := 'Alle Dateien (*.*)|*.*';
  d.FileName := GetStrValue;
  d.Title := 'PropertyEditor for Filenames -  1997 by Markus Brenner';
  if d.Execute then SetStrValue( d.FileName );
  d.Free;
end;

function TPropEditFilename.GetValue: String;
begin
  Result := GetStrValue;
end;
  
procedure TPropEditFilename.SetValue(const Value:String);
begin
  SetStrValue(Value);
end;

end.
